SFML 3.1.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Listener::Cone Struct Reference

Structure defining the properties of a directional cone. More...

`#include <SFML/Audio/Listener.hpp>`

## Public Attributes
Angle | innerAngle
| Inner angle.
Angle | outerAngle
| Outer angle.
float | outerGain {}
| Outer gain.

## Detailed Description

Structure defining the properties of a directional cone.

Sounds will play at gain 1 when they are positioned within the inner angle of the cone. Sounds will play at outerGain when they are positioned outside the outer angle of the cone. The gain declines linearly from 1 to outerGain as the sound moves from the inner angle to the outer angle.

Definition at line 54 of file Listener.hpp.

## Member Data Documentation

## ◆ innerAngle

Angle sf::Listener::Cone::innerAngle

Inner angle.

Definition at line 56 of file Listener.hpp.

## ◆ outerAngle

Angle sf::Listener::Cone::outerAngle

Outer angle.

Definition at line 57 of file Listener.hpp.

## ◆ outerGain

float sf::Listener::Cone::outerGain {}

Outer gain.

Definition at line 58 of file Listener.hpp.

The documentation for this struct was generated from the following file:

- Listener.hpp